@import url('https://fonts.googleapis.com/css2?family=Catamaran:wght@400;600&family=Montserrat:wght@400;600&display=swap');

a:link {color:  rgb(71,71,71); text-decoration: none;}
a:visited {color:  rgb(111, 111, 111); text-decoration: none;}
a:hover {color: rgb(52, 136, 204);}
a:active {color: #FF00CC; text-decoration: none;}
* {
    margin: 0;
    padding: 0;
    
}
div {
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-family: 'Catamaran', sans-serif;

  color: rgb(71,71,71);
}
.fit {
    width: 100%;
    height: 100%;
    
}
.maincontainer {
    margin: calc(var(--vw, 1vh) * 5.5);
    margin-bottom: 10px;
}
.container {
    max-height: 15%;
    display: grid;
    grid-template-columns: 1fr 4fr;
    grid-template-rows: 5fr 15fr 1fr;
    grid-template-areas: 
    "header header "
    "thumbnail about "
    "thumbnail about ";
}
.thumbnail {
    background-image: url(./images/don/1.jpg);
    width: 100%;
    height: auto;
    background-size: contain;
    background-repeat: no-repeat;
    grid-area: thumbnail;
}

.header {
    font-size: 33px;
    grid-area: header;
    margin: calc(var(--vw, 1vw) * 1);
    text-align: center;
}

.about {
    font-size: 22px;
    grid-area: about;
    margin: calc(var(--vw, 1vw) * 3);
}
.history {
    font-size: 22px;
}
.languages {
    font-size: 22px;
    width:40%;
}
.abb {
    font-size: 22px;
    width:60%;
}
.container2 {
    margin-top: 20px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    row-gap: 0px;
    column-gap: 1px;
    grid-template-areas:
    " back email wap telegram "
    " back email wap telegram"
    " . mail2 mail2 chat2";
}
     .mail2 { 
        font-family: 'Catamaran', sans-serif;
        font-size: calc(var(--vw, 1vh) * 3.5);
        color: rgb(54, 145, 205);
        grid-area: mail2;
    }
    .chat2 {
        font-family: 'Catamaran', sans-serif;
        font-size: calc(var(--vw, 1vh) * 3.5);
        color: rgb(54, 145, 205);
        grid-area: chat2;
    }
    .back {

        grid-area: back;
        height: 60px;
        width: 60px;
      }
      #back1 {
        height: 60px;
        width: 60px;
      }
    .email    {grid-area:email;}
    .wap      {grid-area: wap;}
    .telegram {grid-area: telegram;}
    .email, .wap, .telegram {
        height: 60px;
        width: 60px;
    }
    .navbar {
        grid-area: navbar;
        height: 50px;
        display: flex;
        flex-wrap: nowrap;
        justify-content: space-between; /*makes it line up with email icon*/
        margin-top: 30px;
        padding-top: 6px;
        padding-left: 5%;
        padding-right: 15%; /*regulates how close together icons will appear */
        z-index: 1;
        background-color: rgb(240, 240, 240);
    
      }
      .navicon {
        height: 40px;
        width: 40px;
    }

@media only screen and (min-width:768px) {
    .maincontainer {
        margin-left: calc(var(--vw, 1vh) * 25);
        margin-right: calc(var(--vw, 1vh) * 25);
    }
    .header {
        font-size: calc(var(--vw, 1vh) * 3);
    }
    .about, .history, .languages, .abb {
        font-size: 22px;
    }

        .mail2 { 
            font-family: 'Catamaran', sans-serif;
            font-size: 22px;
            color: rgb(54, 145, 205);
        }
        .chat2 {
            font-family: 'Catamaran', sans-serif;
            font-size: 22px;
            color: rgb(54, 145, 205);
        }
        .back {

            grid-area: back;
            height: 100px;
            width: 100px;
          }
          #back1 {
            height: 100px;
            width: 100px;
          }
        .email, .wap, .telegram {
            height: 100px;
            width: 100px;
        }
        .navbar {
            padding-right: 25%;
            padding-left: 25%;
        }
}